Professional Headshot
Turn a casual portrait into a work-ready headshot.
← All models
BeforeAfter
Model ID
professional-headshotProduct operation
portrait:professionalAPI Credits per run100
Input parameters
NameTypeRequiredDefaultNotes
input.styleselectYesnaturalOptions: natural, corporate, executive, creative, healthcare, academic, client_facinginput.outputSizeselectYeslinkedin_squareOptions: linkedin_square, employee_badge, resume_team, custominput.poseselectYesautoOptions: auto, front_facing, three_quarter_left, three_quarter_right, arms_crossed, relaxed_seatedOutput parameters
The API returns an asynchronous job. Poll the job until it succeeds, then download the result path.
job_idstringstatusstringprogressnumberpriceobjectresultobject | nullerrorobject | nullCreate a job
curl "$CLEARCROWDS_API_BASE_URL/api/v1/presets/professional-headshot/jobs" \
-X POST \
-H "Authorization: Bearer $CLEARCROWDS_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: edit-001" \
-d '{"input_asset_id":"11111111-1111-4111-8111-111111111111","input":{}}'Response
{
"success": true,
"data": {
"job_id": "job_REPLACE_ME",
"operation": "professional-headshot",
"status": "queued",
"progress": 0,
"price": {
"reserved_credits": 100,
"settled_credits": 0,
"refunded_credits": 0,
"version": "2026-08-16"
},
"result": null,
"error": null
}
}

